import React, { PureComponent, ReactNode } from 'react';
import moment from 'moment';
import { ITitle } from '../title';
interface ITimeObj {
    days: number;
    hours: number;
    minutes: number;
    seconds: number;
}
interface IProps extends ITitle {
    /**
     * 人性化
     * 默认：true
     */
    humanize?: boolean;
    /**
     * 时间格式 同 momentjs
     * 默认：'MM月DD日 HH:mm:ss'
     */
    format?: string;
    /**
     * 开始时间
     */
    start?: moment.MomentInput;
    /**
     * 结束时间
     */
    end?: moment.MomentInput;
    /**
     * 自定义
     */
    render?: (obj: moment.Moment | number, origin: ReactNode) => ReactNode;
}
interface IState {
    time: any;
}
/**
 * 时间器
 *
 * @class Timer
 * @extends {PureComponent<IProps, IState>}
 */
declare class Timer extends PureComponent<IProps, IState> {
    private updateTimer;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    updateTime(): void;
    processTime(a: any, b: any): {
        diff: any;
        days: any;
        hours: any;
        minutes: any;
        seconds: any;
    };
    renderFormatTime(obj: ITimeObj): JSX.Element;
    renderTime(): any;
    render(): React.ReactNode;
}
export default Timer;
